Bug 505972 - s-c-d fails crash after F11 basic video driver installation [IndexError: index out-of-bounds @xConfigDialog]
s-c-d fails crash after F11 basic video driver installation [IndexError: inde...
Status: CLOSED DUPLICATE of bug 493680
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Triaged
: 506432 508056 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 21:46 EDT by David Gesswein
Modified: 2010-11-05 01:07 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 01:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Gesswein 2009-06-14 21:46:36 EDT
Description of problem:
Running system-config-display on newly installed F11 system gives the error

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 641, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds


Version-Release number of selected component (if applicable):

system-config-display-1.1.3-2.fc11.noarch
How reproducible:


Steps to Reproduce:

Install F11 from DVD selecting install or upgrade with basic video driver
yum upgrade
yum install system-config-display
system-config-display
  
Actual results:

Running system-config-display generates an error message

Expected results:

No error message

Additional info:

xorg.conf created by F11 install
Section "Device"
	Identifier "Videocard0"
	Driver "vesa"
EndSection

F11 install was a fresh install, not an upgrade.
Comment 1 Sebastian Krämer 2009-07-01 05:18:36 EDT
Same problem here. Also a fresh f11 install. Same with nouveau and kmod-nvidia for an nvidia mobile chip.
Comment 2 Randy Yates 2009-07-01 19:52:20 EDT
Same problem here. Also a fresh F11 release install with nvidia closed-source driver.
Comment 3 Matěj Cepl 2009-11-05 13:32:03 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Chris Campbell 2009-12-06 10:23:34 EST
Original Reporter, if you either upgrade your Fedora 11 system, or install Fedora 12, is this still an issue for you?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 David Gesswein 2009-12-13 12:46:53 EST
Fresh install of fedora 12 using basic video driver still fails the same way.

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds
Comment 6 Christoph Wickert 2010-01-25 21:16:58 EST
Raising priority to critical since it is a crash of the application and affects a lot of people.
Comment 7 the.hw.group 2010-02-03 19:16:35 EST
This affects me as well. Fedora 12, latest updates from fresh install. 

Linux localhost 2.6.31.12-174.2.3.fc12.x86_64 #1 SMP Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

# system-config-display

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds
Comment 8 Matěj Cepl 2010-02-04 05:00:34 EST
*** Bug 508056 has been marked as a duplicate of this bug. ***
Comment 9 Matěj Cepl 2010-02-04 19:15:34 EST
*** Bug 506432 has been marked as a duplicate of this bug. ***
Comment 10 BugRocks 2010-02-20 23:51:27 EST
After a fresh install and having problems after using akamods I saw a warning at the boot time about not having a compatible nvidia driver for the PAE kernel so the driver would not be loaded and the nvidia service would then change any configuration you have made to the xorg.conf to disable its use.
Comment 11 wab 2010-06-02 12:38:03 EDT
I have had this problem with Fedora 11 - 
have just upgraded to Fedora 13 86x64 and it is still happening

my computer crashes every 3 hours or so 

I yum removed nvidia*, rebooted and 

still get the following error:

[root@localhost ~]# system-config-display

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds

I am not sure these things are related the nvidia driver and my computer crashing, but I believe they are... 

Any fix yet?
Comment 12 Bug Zapper 2010-11-04 07:06:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Sebastian Krämer 2010-11-04 07:10:39 EDT
s-c-d is non-functional for me anyway (#623742) so I can't really check. But my guess is that the problem hasn't been fixed.
Comment 14 Ankur Sinha (FranciscoD) 2010-11-05 01:06:28 EDT
Hello,

Still getting this:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in
__init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds


[Ankur@070905042 ~]$ rpm -q system-config-display
system-config-display-2.2-1.fc12.x86_64

(I'm on F13)

regards,
Ankur
Comment 15 Ankur Sinha (FranciscoD) 2010-11-05 01:07:36 EDT

*** This bug has been marked as a duplicate of bug 493680 ***

Note You need to log in before you can comment on or make changes to this bug.